<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package blog_town
 */

get_header();
?>
    <div class="breadcrumb-area d-flex align-items-center"> 
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xl-12 col-lg-12">
                    <div class="breadcrumb-wrap text-left">
                        <div class="breadcrumb-title">
                            <h2><?php blog_town_breadcrumb();?></h2>
                            <div class="breadcrumb-wrap">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb">
                                         <?php breadcrumb_trail();?>
                                    </ol>
                                </nav>
                            </div>
                         </div>
                    </div>
                </div>  
            </div>
        </div>       
    </div>
	<!--Page404-->
    <section class="section pt-55 mb-50">
        <div class="container-fluid">
            <div class="page404  widget">
                <div class="content">
                    <h1><?php esc_html_e( '404', 'blog-town' ); ?></h1>
                    <h3><?php esc_html_e( 'Page Not Found.', 'blog-town' ); ?></h3>
                    <p><?php esc_html_e( 'It looks like nothing was found at this location.', 'blog-town' ); ?></p>
                    <a href="<?php echo esc_url( home_url() ) ; ?>" class="btn-custom"><?php esc_html_e( 'Go back to Home', 'blog-town' ); ?></a>
                </div>
            </div>
        </div>
    </section> 

<?php
get_footer();
