<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blog_town
 */

get_header();
?>
<?php
    $sidebar_position = get_theme_mod('blog_town_sidebar_position', 'right');
    if ($sidebar_position == 'left') {
        $sidebar_position = 'has-left-sidebar';
    } elseif ($sidebar_position == 'right') {
        $sidebar_position = 'has-right-sidebar';
    } elseif ($sidebar_position == 'no') {
        $sidebar_position = 'no-sidebar';
    }
?>
	<div class="breadcrumb-area d-flex align-items-center"> 
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xl-12 col-lg-12">
                    <div class="breadcrumb-wrap text-left">
                        <div class="breadcrumb-title">
                            <h2><?php blog_town_breadcrumb();?></h2>
                            <div class="breadcrumb-wrap">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb">
                                         <?php breadcrumb_trail();?>
                                    </ol>
                                </nav>
                            </div>
                         </div>
                    </div>
                </div>  
            </div>
        </div>       
    </div>
	<section class="inner-blog pt-90 pb-90">
        <div class="container">
            <div class="row <?php echo esc_attr($sidebar_position); ?>">
                <div class="col-lg-8">

					<header class="page-header">
						<?php
						if ( have_posts() ) :
							the_archive_title( '<h1 class="page-title">', '</h1>' );
							the_archive_description( '<div class="archive-description">', '</div>' );
						else :
							printf( '<h1 class="page-title">%1$s</h1>', esc_html__( 'Nothing Found', 'blog-town' ) );
						endif;
						?>
					</header><!-- .page-header -->

					<?php if ( have_posts() ) : ?>

					<?php while ( have_posts() ) : the_post(); ?>
						<?php get_template_part( 'template-parts/content', get_post_type() ); ?>
					<?php endwhile; ?>

					<div class="pagination-wrap">
                        <nav>
                            <ul class="pagination">
                            	<?php echo paginate_links(); ?>
                            </ul>
                        </nav>
                    </div>

					<?php else : ?>

						<?php get_template_part( 'template-parts/content', 'none' ); ?>

					<?php endif;?>
				</div>
				<?php
                if($sidebar_position != 'no-sidebar') { ?>
				<div class="col-lg-4">
					<?php get_sidebar(); ?>
				</div>
				<?php } ?>
			</div>
		</div>
	</section>

<?php
get_footer();
