<?php
function blog_town_get_post_view() {
    $view_count = get_post_meta( get_the_ID(), 'post_views_count', true );
    return "$view_count";
}
function blog_town_set_post_view() {
    $key = 'post_views_count';
    $post_id = get_the_ID();
    $view_count = (int) get_post_meta( $post_id, $key, true );
    $view_count++;
    update_post_meta( $post_id, $key, $view_count );
}

function blog_town_sanitize_checkbox( $checked ) {
    return ( ( isset( $checked ) && true === $checked ) ? true : false );
}

function blog_town_excerpt_more( $more ) {
    if ( is_admin() ) {
        $more = '...';
        return $more;
    }
}
add_filter('excerpt_more', 'blog_town_excerpt_more');

function blog_town_sanitize_select( $input, $setting ) {

    // Ensure input is a slug.
    $input = sanitize_key( $input );

    // Get list of choices from the control associated with the setting.
    $choices = $setting->manager->get_control( $setting->id )->choices;

    // If the input is a valid key, return it; otherwise, return the default.
    return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

/**
 * excerpt lenth.
 */
if (!function_exists('blog_town_custom_excerpt_length')) :
    function blog_town_custom_excerpt_length($length)
    {
        if (is_admin()) {
            return $length;
        }

        $excerpt_length = get_theme_mod('blog_town_excerpt_length','55');
        if (!empty($excerpt_length)) {
            return $excerpt_length;
        }
        return 55;
    }
endif;
add_filter( 'excerpt_length', 'blog_town_custom_excerpt_length');