<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blog_town
 */

get_header();
?>
<?php
    $sidebar_position = get_theme_mod('blog_town_sidebar_position', 'right');
    if ($sidebar_position == 'left') {
        $sidebar_position = 'has-left-sidebar';
    } elseif ($sidebar_position == 'right') {
        $sidebar_position = 'has-right-sidebar';
    } elseif ($sidebar_position == 'no') {
        $sidebar_position = 'no-sidebar';
    }
?>
        <div class="breadcrumb-area d-flex align-items-center"> 
            <div class="container">
                <div class="row align-items-center">
                    <div class="col-xl-12 col-lg-12">
                        <div class="breadcrumb-wrap text-left">
                            <div class="breadcrumb-title">
                                <h2><?php blog_town_breadcrumb();?></h2>
                                <div class="breadcrumb-wrap">
                                    <nav aria-label="breadcrumb">
                                        <ol class="breadcrumb">
                                             <?php breadcrumb_trail();?>
                                        </ol>
                                    </nav>
                                </div>
                             </div>
                        </div>
                    </div>  
                </div>
            </div>       
        </div>
		<section class="inner-blog pt-90 pb-90">
            <div class="container">
                <div class="row <?php echo esc_attr($sidebar_position); ?>">
                    <div class="col-lg-8">

                    	<?php while ( have_posts() ) : the_post(); ?>
							<?php get_template_part( 'template-parts/content', 'page' ); ?>
							<?php
							// comments are open or have atleast one comment, if any of one condition is true then it load comment template
							if ( comments_open() || '0' != get_comments_number() ) :
							comments_template(); 
							endif;?>
						<?php endwhile; ?>

                    </div>
                    <?php
                    if($sidebar_position != 'no-sidebar') { ?>
                    <div class="col-lg-4">
						<?php get_sidebar(); ?>
					</div>
                    <?php } ?>
                </div>
            </div>
        </section>


<?php
get_footer();
