<?php 
$show_categories = get_theme_mod('blog_town_single_post_categories',true);
$show_date = get_theme_mod('blog_town_single_post_date',true);
$show_postview = get_theme_mod('blog_town_single_post_view',true);
$show_postcomment = get_theme_mod('blog_town_single_post_comments',true);
$show_tags = get_theme_mod('blog_town_single_post_tags',true);
$show_image = get_theme_mod('blog_town_single_featured_image',true);
?>                  
<div class="blog-town-details-wrap">
    <div class="image-part mb-25">
         <?php
        if($show_image && has_post_thumbnail()){
            the_post_thumbnail(); 
        } ?>
    </div>
    <div class="blog_town_detail_content pb-30">
        <?php if($show_categories) { ?> <div class="category-name"> <?php the_category(' '); ?></div> <?php } ?>
        <h3 class="heading-title"><?php the_title(); ?></h3>
        <div class="meta-info">
            <ul>
                <?php if($show_date){ ?>
                <li><i class="fal fa-calendar-alt">
                    </i><?php blog_town_posted_on(); ?>
                </li> 
                <?php } ?>
                <?php if($show_postview) { ?>
                <li><i class="fal fa-eye"></i>
                    <?php 
                    if(blog_town_get_post_view()!=0){ 
                        echo esc_html(blog_town_get_post_view()); 
                    } else {
                        echo esc_html('0');
                    }?>
                </li>
                <?php } ?>
                <?php if($show_postcomment) { ?>
                <li><i class="fal fa-comments"></i>
                    <?php echo esc_html(get_comments_number()); echo "<span> Comment</span>"; ?>
                </li>
                <?php } ?>
            </ul>
        </div>
       <?php the_content();wp_link_pages(); ?>
        
        <?php if(has_tag() && $show_tags) { ?>
        <div class="row">
            <div class="col-xl-12 col-md-12">
                <div class="post__tag">
                    <?php the_tags(null, ' ', '<br />'); ?>
                </div>
            </div>
            
        </div>
        <?php } ?>

    </div>
    <?php
    if (get_previous_post_link()) { 
        $previous_post_url = get_permalink( get_adjacent_post(false,'',true)->ID );
    }
    if (get_next_post_link()) { 
         $next_post_url = get_permalink( get_adjacent_post(false,'',false)->ID );
    } ?>

    <?php if($previous_post_url || $next_post_url) {?>
    <div class="posts_navigation pb-35">
        <div class="row">
            <div class="col-xl-6 col-md-6 prev-link">
            <?php if (get_previous_post_link()) {  ?>
                <a href="<?php echo esc_url($previous_post_url); ?>">
                    <span><?php esc_html_e("<< Previous Post","blog-town"); ?></span>
                </a>
            <?php } ?>
            </div>
            <div class="col-xl-6 col-md-6 next-link">
            <?php if (get_next_post_link()) {  ?>
                <a href="<?php echo esc_url($next_post_url); ?>">
                    <span><?php esc_html_e("Next Post >>","blog-town"); ?></span>
                </a>
            <?php } ?>
            </div>
        </div>
    </div>
    <?php } ?>
</div>
                    