<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package blog_town
 */

?>
<?php 
$show_author = get_theme_mod('blog_town_archive_post_author',true);
$show_date = get_theme_mod('blog_town_archive_post_date',true); 
$show_postcount = get_theme_mod('blog_town_post_view_count',true); 
$show_comment = get_theme_mod('blog_town_archive_post_comments',true); 
$show_image = get_theme_mod('blog_town_archive_featured_image',true); 
?>

<div class="blog_town_single_post mb-50">
    <?php if($show_image) { ?>
    <div class="blog_town_single_post-thumb">
        <?php
        if(has_post_thumbnail()){
         	the_post_thumbnail(); 
        } ?>
    </div>
    <?php } ?>
    <div class="blog_town_single_content">
        <?php if($show_author) { ?>
        <div class="admin">
            <?php blog_town_posted_by_button(); ?>
        </div>
        <?php } ?>
        
        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

        <div class="meta-info">
            <ul>
                <?php if($show_date){ ?>
                <li><i class="fal fa-calendar-alt"></i>
                	<?php blog_town_posted_on(); ?>
                </li>
                <?php } ?>
                <?php if($show_postcount) { ?>
                <li><i class="fal fa-eye"></i>
                	<?php 
                	if(blog_town_get_post_view()!=0){ 
                    	echo esc_html(blog_town_get_post_view()); 
	                } else {
	                    echo esc_html('0');
	                }?>
                </li>
                <?php } ?>
                <?php if($show_comment){ ?>
                <li><i class="fal fa-comments"></i>
                	<?php echo esc_html(get_comments_number()); echo "<span> Comment</span>"; ?> 
                </li>
                <?php } ?>
            </ul>
        </div>

        <?php the_excerpt(); ?>
        
        <div class="read-more-btn">
            <a href="<?php the_permalink(); ?>"><?php echo esc_html(get_theme_mod('blog_town_read_more_label', 'Read More')); ?><i class="fa fa-arrow-right"></i></a>
        </div>
        
    </div>
</div>